/********************************************************************************
 * (C) Copyright 2000-2005, by Shawn Qualia.
 *
 * This library is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU Lesser General Public License as published by 
 * the Free Software Foundation; either version 2.1 of the License, or 
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License 
 * along with this library; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc. 
 * in the United States and other countries.]
 ********************************************************************************/

package org.uguess.birt.report.engine.spreadsheet.model.impl;

import org.eclipse.birt.report.engine.content.IStyle;
import org.uguess.birt.report.engine.spreadsheet.model.Block;

/**
 * BlockImpl
 */
abstract public class BlockImpl implements Block
{

	private IStyle style;

	protected BlockImpl( IStyle style )
	{
		this.style = style;
	}

	public boolean isEmpty( )
	{
		return style.isEmpty( );
	}

	public IStyle getStyle( )
	{
		return style;
	}

	public void setStyle( IStyle style )
	{
		this.style = ( style == null ) ? StyleImpl.createEmpty( ) : style;
	}

	public int hashCode( )
	{
		return style.hashCode( );
	}

	public boolean equals( Object obj )
	{
		if ( obj == this )
		{
			return true;
		}

		if ( obj == null || !( obj instanceof BlockImpl ) )
		{
			return false;
		}

		BlockImpl that = (BlockImpl) obj;
		return style.equals( that.getStyle( ) );
	}
}